gnome-shell randomly blocks mouse clicks from working in app windows

Bug #1181666 reported by Andrew Marsden on 2013-05-19
440
This bug affects 90 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Confirmed
Critical
Ubuntu GNOME
Undecided
Unassigned
gnome-shell (Ubuntu)
High
Unassigned
mutter (Ubuntu)
High
Unassigned

Bug Description

Under GNOME 3, the use of the mouse-click stops occasionally, though I can still move the mouse around and can still click on items in the Activities screen and the top-bar.

I can use alt-tab to cycle windows and can still type into already-active textboxes in windows, but I cannot click within the windows, and the mouse is not picked up at all by the windows.

I can open the alt-f2 "run command" dialogue, but cannot type into it.

The workaround I'm using is to open terminal (ctrl-alt-T) and run "gnome-shell -r", and restarting that command every time I have the problem again.

Please ask if there's anything I forgot to mention.

ADDITIONAL: The error tends to happen randomly, but it seems to happen upon opening a new window, changing windows, closing windows, or opening the activities pane (whether a change of window is thus instigated or not)

ADDITIONAL 2: (sorry, it's early) The other workaround is to log out and to log in again, but that is also less than ideal

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: gnome-shell 3.6.3.1-0ubuntu6
ProcVersionSignature: Ubuntu 3.8.0-22.33-generic 3.8.11
Uname: Linux 3.8.0-22-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
Date: Sun May 19 07:02:18 2013
DisplayManager: gdm
GsettingsChanges:
 b'org.gnome.desktop.interface' b'clock-show-date' b'true'
 b'org.gnome.desktop.interface' b'clock-show-seconds' b'true'
 b'org.gnome.desktop.interface' b'document-font-name' b"'Sans 10'"
 b'org.gnome.desktop.interface' b'font-name' b"'Cantarell 10'"
 b'org.gnome.desktop.interface' b'monospace-font-name' b"'Ubuntu Mono 12'"
InstallationDate: Installed on 2013-05-04 (14 days ago)
InstallationMedia: Ubuntu-GNOME 13.04 "Raring Ringtail" - Release amd64 (20130424)
MarkForUpload: True
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-shell
UpgradeStatus: No upgrade log present (probably fresh install)

Andrew Marsden (marsdeat) wrote :
description: updated
description: updated
Nikola Ciganovic (ciginator) wrote :

I seem to have the same or a closely related problem, my mouse behaves in exactly the same way as described above!

After a fresh install of 13.04, I installed gnome-shell, which is when the problem started. However, It's still there after I have uninstalled gnome-shell. It is always present after the first login after booting.

Logging out and back in removes the issue.

Any ideas what the issue might be?

Nikola Ciganovic (ciginator) wrote :

I forgot to mention, I have this problem with the unity desktop. The mouse behaves normally when I close all windows using alt+f4. The problem reappears as soon as I open any application.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Andrew Marsden (marsdeat) wrote :

Nikola Ciganovic suggests that the problem is only within application windows, and is fine in the desktop? [Unity]

When this problem next affects me, I will try and confirm that on GNOME 3.

The problem is very intermittent and irregular - It happened about 10 times the day before posting, and not at all in the 24 hours following the posting, despite very similar usages of the computer. It's happened a couple of times in the past 24 hours or so.

Andrew Marsden (marsdeat) wrote :

Additional: While Nikola suggests that the problem is removed when she logs out and back in under Unity, this is not the case for me under gnome-shell: It will often occur again after a couple of hours after logging out and in again.

Nikola Ciganovic (ciginator) wrote :

Indeed, today the problem reoccured (under unity) after a while - needed to re-log in again.

Changed in gnome-shell:
importance: Unknown → Critical
status: Unknown → Confirmed
vpodobaev (vpodobaev) wrote :

I have the same problem with Gnome3 shell.

Best regards, Vladimir.

Andrew Marsden (marsdeat) wrote :

I have identified that this bug seems only to happen (for me) when Pidgin is open, and it only happens when switching to or from a Pidgin window.

Query: anyone else have similar findings?

Przemek (przemyslaw-m-zak) wrote :

I have this same problem. Mouse is blocked irregulary. It occurs also under unity.

Nikoleta Verbeck (nerdynick) wrote :

I seem to also be having a similar issue as well. My mouse can move around and shows hover state on the top menu bar, but can't click on anything. I however can't use the keyboard shortcuts to pull up anything. The only shortcuts I am able to use is the ctrl+alt+F1-7 keys. For which that sometimes fixes the issue by bouncing over to one of them then back to the the original shell ie F7. I tend to have to do this shortly after logging in every time. It seems to have gotten more problematic with the upgrade to 13.10 from 13.04.

However the bouncing shells trick sometimes works, but at a random time it stops working. To which I have tried running "export DISPLAY=:0.0; gnome-shell --replace". Which doesn't appear to work for me, and results in a gnome shell where the top bar is missing as well as any boards & title bars on windows. The mouse can still move around at this point, but requires be to do a full restart to get back into a functional state. To note I do see a OpenGL exception after running the replace. Next time this happens I'll try to record the exception.

Is there any logs I can try to pull for you that may help? As I can consistently get into this bad state with a logout & back in, but takes some time to get into the real bad state. Requiring a reboot.

Changed in gnome-shell:
status: Confirmed → Incomplete

I'm having the same problem after upgrading from 13.04 with Gnome-Shell 3.8 to 13.10 with Gnome-Shell 3.10. I do not use Pidgin.

In my experience, the problem is consistently reproducible when the Overview is exited by clicking on an application. When I select any running application on any Workspace, all applications fail to respond to any mouse input. If I, from the Overview, click to show the Desktop (thanks to the Show Desktop From Overview extension), then Alt-Tab to a running application on that Workspace, I don't encounter the issue.

However, I have found one way to quickly recover which is to activate the Google Chrome browser (which I always have running) and switch tabs via the Ctrl+Pg[Up|Down] keyboard shortcut. I find that it usually takes a couple switches Up and Down, irrespective of which direction I go (i.e. I almost always must go both directions). I happen to have had these keyboard shortcuts bound to the left & right tilt of my Logitech MX Revolution mouse wheel for quite a long time, even before the upgrade, using xbindkeys.

I've performed some extensive testing and my conclusion is that the issue is somehow caused by Chrome, or perhaps the fact that Chrome is resident in memory, consuming 2.7 GB of RAM currently according to Chrome's own internal reporting. I've tried disabling all Gnome-Shell extensions which had no effect. I next tried disabling all Chrome extensions which had a small, but noticeable, effect. The only thing that seems to have dramatically abated the issue is not having Chrome loaded at all.

Here are my system specs, in case it's relevant:
Power:
  RAIDMAX HYBRID 2 RX-730SS 730W ATX12V V2.2/ EPS12V SLI Ready CrossFire Ready Modular Power Supply
Motherboard:
  ASUS M5A97 AM3+ AMD 970 SATA 6Gb/s USB 3.0 ATX AMD Motherboard with UEFI BIOS
CPU:
  AMD FX-8120 8-core 3.1 GHz CPU
RAM:
  Mushkin Enhanced Essentials 16GB (2 x 8GB) 240-Pin DDR3 SDRAM DDR3 1333 (PC3 10600) Desktop Memory
Display:
 Video:
  MSI R6570-MD2GD3/LP Radeon HD 6570 2GB 128-bit DDR3 PCI Express 2.1 x16
 Output:
  Insignia 42" LCD HDTV connected via VGA, running at 1920x1080 resolution (1080p)
Storage:
1 x WDC WD10EZEX-00RKKA0 1.0 TB SATA HD used as OS / Home
4.5 TB BTRFS storage array comprised of:
2 x ST31500341AS 1.5 TB SATA HD
1 x ST31500541AS 1.5 TB SATA HD

I think my video card is the weak point and that it needs to be upgraded. After upgrading to 13.10 I did install the latest ATI proprietary video driver direct from their website. Prior to upgrading I had been using the latest Ubuntu-provided binary driver. That may also be a factor, but I haven't tested it.

Daniel B. (bradan) wrote :

I recognized exactly the same behaviour as described by Paul M Edwards (paul-m-edwards) and it is really annoying. Is there any workaround?

Some of my system specifications:
OS: Linux laplace-linux 3.11.0-18-generic #32-Ubuntu SMP Tue Feb 18 21:11:14 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
CPU: Intel Core i7
GPU: GeForce GTX 650 Ti (nvidia propertiary drivers)

So it doesn't seem CPU/GPU specific.

Changed in gnome-shell:
status: Incomplete → Expired

I also have this problem. My solution has been to toggle the Terminal (Ctrl + Alt + F1) and then toggle bock to Gnome (Gtrl + Alt + F7)

Linux Orithyia 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

GNOME Shell 3.10.4

frans (frans-skarman) wrote :

I too am having this issue (I think).

The issue appears after I go to the activities "section", either by pressing the windows key or by clicking activities. The issue seems to happen when im running games that manipulate the mouse, the main examples are minecraft which locks the mouse somewhere while playing and Civ 5 which hides the mouse and uses a custom pointer. The games work fine until I go to the application overview and back. Most of the time, the mouse can still be moved but clicks stop doing anything in any windows and no hover effects are shown. The mouse works fine on the menu bar in gnome though. Sometimes the issue can be fixed by clicking a window a few times, if that doesn't work, alt tabing in and out of the game fixes it ocationally. If that still doesn't work, closing the game usually does. Looking into the issue further, it seems like clicking on a window sevral times and moving the mouse will almost always fix the issue.

Another way to solve the issue temporarily that I have found is to use the skype integration plugin and open a new skype window, then closing it. It's not related to skype since I have had the issue when not running it but it seems to be able to fix the issue. Looking into it some more, it seems like opening any window will work, for example using ctrl+alt+t.

Also, if no game which uses the mouse is running, opening the activities tab and closing it again without clicking on a window will require one click to gain focus and then one to actually click.

Axel Kittenberger (axkibe) wrote :

This bug is driving me crazy for months now. I always hit "Alt-F2 and r" to make the mouse working again. But sometimes it occours within 5 minute intervalls for me.

Actually I'm on debian and gnome 3 (and I just googled for the symptoms coming here)

I kind of suspect the nvidia graphic driver to be the issue, this desktop has an older card that was a pain to get working in the first place. I don't have this issue on any notebook I installed gnome 3 on.

Axel Kittenberger (axkibe) wrote :

If you need any logs that would help nailing this down, I'll gladly look out for them.

I tried running /usr/bin/gnome-shell in a shell and look for its output on stdout, but there is nothing when this happens.

Oh and for me it always occurs when switching virtual desktops / workspaces.

83 comments hidden view all 140 comments

I first noticed this issue when I was running Ubuntu GNOME 15.04 with GNOME 3.16, but even now that I have upgraded to Ubuntu GNOME 15.10 with GNOME 3.18 I still experience the issue (though I have not yet experienced this on Ubuntu GNOME 16.04 with GNOME 3.19 - but that may be due to the fact that this issue only comes up every so often (a few times a week at the moment) and I haven't used it that much). The issue being that for some reason suddenly for seemingly no reason unless I interact with the top bar in terms of clicking on an option on it (e.g.: the calender or Activities Overview buttons), I am unable to click on any application, or even drag some files on the desktop, though if I go to the bottom of my screen Docky does should which is on autohide so it does allow some interaction, though interestingly not all as buttons don't change colour that normally would when I go over them when my machine is doing this funny thing.

Some have even said though that they have to completely restart gnome-shell to temporarily get rid of the problem. I also experienced the problem a lot on 3.16, but in 3.18, it is periodic in the week that I experience it and it is several times, but not as much, and not as blocking.

I initially reported this issue here, but thought I should also do so upstream: https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1482397

I have changed this bug's Importance status to "Critical" because that is how it has been marked downstream.

Has this been debugged further in downstream already?
Asking as I see stuff like "drag some files on the desktop" or "Docky" mentioned...

I don't think so... Not that anyone has told me anyway... But the stuff about dragging files on the desktop and Docky was just me saying to the extent it affects me and which applications I have that it affects in different ways... All I know is what I have said the bug description...

I have now properly tested this in Ubuntu GNOME 16.04 Beta 1 with GNOME 3.19 (the latest version of that) and the issue is still present there.

86 comments hidden view all 140 comments
Scott Palmer (skewty) wrote :

I am running the Ubuntu Gnome 3.20 PPA with Ubuntu-Gnome 16.04 and am still experiencing this issue.

I do not use virtual desktops / workspaces. I just used tweak tool and set my workspace count to static and 1 to see if this helps based on Axel's comment.

I am not running the nvidia graphics driver, I have a build in 3rd gen Intel so i915 driver I think (built in to kernel) so I don't think Axel's nvidia driver is at fault.

I experiment the same problem: mouse click don't work on gnome-shell after upgrade of ubuntu 16.04 with a NVIDIA card on two different Dell E6410. Sometime inside à windows opened (firefox) it still possible to click on inner elements but not in windows frame buttons. This problems not occurs on unity.

Richard (ismail-a) wrote :

I had this on GNOME Shell 3.22.2

The gearound is as stated:
control+alt+fn+F1 switching to a different virtual terminal
control+alt+fn+F* switch back to GNOME Shell

Richard (ismail-a) wrote :

symptom:
mouse can select window and operate the GNOME top bar
Any mouse click inside a client window is ineffective
Keyboard is still operational

That return key above is control+alt+fn+F8

summary: - gnome-shell randomly blocks mouse from working
+ gnome-shell randomly blocks mouse clicks from working
Changed in gnome-shell (Ubuntu):
importance: Undecided → High
tags: added: xenial
tags: added: noclick

I also have this.

mutter 3.18.3-0ubuntu2, gnome 3.18.5-0ubuntu0.2, xorg

Toggling the overview with super fixes the issue until it happens again. I use multiple monitors and gnome workspaces.

Didier L (l-farquaad) wrote :

I also have a similar issue, however it seems to be only triggered when using Telerik Fiddler (a Mono app, which is in beta for Linux). I assume there is a bug in Fiddler, but it shouldn't make the mouse unresponsive for the whole system.

When the issue occurs, the mouse is unresponsive though the wave animation when pushing it to the corner is rendered. The overview is not triggered via mouse though, but I can open it with the keyboard. Keyboard shortcut for Run (Alt+F2) does not work in that case but otherwise the keyboard appears to be working properly.

Following the comments in this thread, I managed to switch to a terminal and restart gnome-shell, which fixed the issue (though Fiddler's window remained frozen).

Daniel van Vugt (vanvugt) wrote :
summary: - gnome-shell randomly blocks mouse clicks from working
+ gnome-shell randomly blocks mouse clicks from working in app windows

The currently linked upstream bug report has been resolved as incomplete. So I have now instead linked to another one which is still open.

Changed in ubuntu-gnome:
status: New → Confirmed
Changed in gnome-shell:
importance: Critical → Unknown
status: Expired → Unknown
78 comments hidden view all 140 comments

As can be seen here: https://bugs.launchpad.net/ubuntu-gnome/+bug/1482397/comments/8 And with the previous comment, users are still experiencing this issue. Although I have not experienced this issue in ages and now that I'm running Arch instead of Ubuntu perhaps that has made somewhat of a difference as well. I don't know if it's an Ubuntu specific issue somehow or if I'm just lucky.

There is also another Ubuntu downstream bug report where a lot of people have the issue: https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1181666

Changed in gnome-shell:
importance: Unknown → Critical
status: Unknown → Confirmed
78 comments hidden view all 140 comments

I have the same problem on 16.04

Mouse clicks stops working randomly. Logout/login solves the problme

teledyn (garym-teledyn) wrote :

I appear to have the inverse of this bug: when a window is active, I can click in that window but I cannot use the mouse to change apps or to select sub-windows of an app (such as file dialogs, I must use Ctrl-Alt-Tab) The mouse is completely useless on the gnome-shell panel or on the Activities display, the cursor tracks, but no clicks.

Within an app some actions such as using a menu-bar or the scroll wheel can sometimes cause the mouse to cease all function, it's bluetooth so I switch it off and on and it works within that window again. If I want to change apps (or windows within an app) I use Alt-Tab and typically the mouse will then work in that window, but may fail again shortly after and need another restart. If I am in a File window and select a file that opens an app (eg VLC on a video) the mouse will be active in the newly opened app, and when that app closes, mouse control returns to the File window.

This is using Ubuntu 17.04 upgraded from 16.04 but on an older machine that has been incrementally upgraded since about Ubuntu 12.04, both Unity and Gnome-Classic ran fine in 16.04

I'm using the VGA compatible controller: NVIDIA Corporation GT216 [GeForce GT 220] (rev a2)
I was using the NVidea 304 driver, switched to the 340 and the problem remains.

Paul (i41bktob-launchpad-net) wrote :

Original bug still present in Ubuntu Gnome 17.04, see duplicate bug #1703466.

serine (serine) wrote :

same here. 17.04 just got hit by this.
clean install ubuntu 17.04, nvidia gtx-1060 with proprietary driver.
I was hibernating my PC for about 3 weeks now, suddenly my mouse started to act weird. some clicks worked, some didn't I had problems with moving windows.

the keyboard was working fine apart from the windows key, bringing up activities, it seemed stuck, but occasionally became unstuck, very weird.

managed to logout/login and problem disappered.

serine (serine) wrote :

my problem soon reappeared... but I managed to solve it.

I use a logitech mx wireless mouse, and found some post saying that windows can mess something up with the receiver. It seems to be related to smooth scrolling, I noticed just before the problem started that my scrolling was way faster then usual. Tried making changes via gnome shell to mouse settings but it didn't do anything. Then I installed "solaar" and through solaar-cli tried to reset, or at least view, what the settings were, but to no avail. It couldn't access any settings, however it did show my devices properly (K270 and MX mouse).

I managed to reset the scrolling issue by flipping the power on the mouse itself. Scrolling went back to normal and the problem is gone for now. Hopefully it stays that way.

It's amazing how many things can break for almost no reason...

Paul (i41bktob-launchpad-net) wrote :

Interesting. This bug seems to be a focus issue, so your similar symptoms might have been directly caused by that Logitech hardware bug. I am still affected despite an Intel GPU (untainted kernel) and wired mouse, but may follow your lead next time and try unloading and reloading the HID modules to see if that clears whatever is stuck in gnome-shell.

74 comments hidden view all 140 comments

Hi guys,

Since I updated Ubuntu from 16.04 to 17.10 (I curse that day...) it's happening almost every time I login (after a fresh boot). I never had this problem before (or it happen so rare that I never noticed it). I played with different driver versions without success.

In my case, my wife usually log in and start Chrome (I'm quite sure it's not Chrome related because I have same behavior with Firefox or just other applications), opening few tabs, and few to dozen seconds after login she can't change tabs. I'm able to open terminal with keyboard shortcut but not to make window active. Some controls react on mouse, other don't.
Strange thing I observed too (it might not be related to this problem) is Home dir icon in top left corner - after login it's showing under Top bar (top bar overlaps icon). When I open first window (ex. browser) it's refreshing desktop and moving icon properly down a little (top bar don't overlap it anymore).

Simplest wat to get rid of issue is to switch to TTY (Ctrl + Alt + F1) and then back to X (Ctrl + F7) - after that, like with magic wound touch, problem disappear for some time. After another 10, 15, 30 minutes problem arrive again.

I checked Xorg.log - nothing. Nothing in syslog. No error I could google for.

I'm sick of it - today I said enough. I decided to do something with it.
I consider myself experienced Linux Sys Admin - tell me what you need to fix this and I will do my best to help.

Some background:

Ubuntu 17.04
gnome-shell 3.24.2-0ubuntu0.1
nvidia-384 384.59-0ubuntu0~gpu17.04.1 (from http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu )
I have GTX 1060 card.

74 comments hidden view all 140 comments
Matthew Gregg (mcg) wrote :

This seemed to happen worse when I was using Firefox, can't really correlate it with anything. Alt-Tab seems to fix it for me tho. Until it comes back.

Sam Thomas (samscrews) wrote :

I am having the same issue with Ubuntu 17.10 running on XORG. This is a VM inside vmware fusion pro 10. The mouse can move around but the clicks dont work anywhere. I start a terminal session with ctrl + alt + t and then alt + tab and then click on the terminal that i opened earlier for the clicks to start working again.

Zbigniew Matuszewski (htarlov) wrote :

I have the same or very similar problem on Ubuntu 16.10.

It happens usually after certain programs are run (like notepadqq, sometimes open office or image viewer and most usually Netbeans, with Netbeans on it's nearly certain it will happen on my laptop after some time running, especially when there are more programs). It usually blocks Chrome from navigating tabs, sometimes other windows from clicks or resizing. If not with Netbeans then usually when doing something processor and ram intensive in background (but not as much intensive to be low on memory, like having 16 GB RAM and using 6 GB and 100% of 2 processors).

Strangefully usually closing Netbeans help for me - but not always. Sometimes it's ok after closing but problem is back in few minutes after closing.

It looks like it might be related to some resource in the system but I can't guess which one.

Ali Mousavi Kherad (amkdp) wrote :

I have the same issue. especially when VLC is hung.

I think it happens when a not-responding dialog is showing on some window.

LuisC (luiscardozocarreras) wrote :

I have the same issue in Ubuntu 17.10 (Wayland).

I was using Netbeans, Chrome and a VirtualBox VM running Windows 10. It seemed that the VirtualBox grabbed the mouse, but it has mouse integration, and the actions bar and activities were clickable.

I couldn't resolve it by switching to another virtual terminal, neither by running "gnome-shell -r" on a gnome-terminal (it said: (gnome-shell:5963): mutter-WARNING **: Can't initialize KMS backend: Could not get session ID: No such file or directory).

So, I had to close everything and logout and login again. It worked.

PJSingh5000 (pjsingh5000) wrote :

Same issue as LuisC on 17.10, but using xorg.

Also, my keyboard stops working, so I can't press super key.

However, the gnome-shell top bar and the Ubuntu Dock still accept inputs.

As a result, I am able to launch programs.

I can also kill programs by clicking on the window's "X" (close) in Activities (overview) mode, but the window controls (close, minimize, and maximize) do not accept any form of input.

Restarting solves the problem. Loging-out and loging back in does not correct the problem. Note that I am able to use the mouse and keyboard on the GDM screen, just like I am able to interact with the topbar and Ubuntu Dock.

70 comments hidden view all 140 comments

When this happens, my desktop no longer accepts keyboard input as well.

I happens whenever I interact with the touch screen using my fingers.

If I do not use the touchscreen, and I stick to the touchpad, keyboard, and mouse, I do not have this issue.

When this happens, I can still interact with the topbar and with the Ubuntu Dock. The topbar and the Ubuntu Dock ccept all of my user inputs using all inout devices (mouse, touchpad, touchscreen, keyboard). But the desktop and all windows on the desktop stop accepting input (as if they are not getting the mouse focus).

$ gnome-shell --version
GNOME Shell 3.26.1

$ uname -r
4.14.1-041401-generic

$ lsb_release -a
Distributor ID: Ubuntu
Description: Ubuntu 17.10
Release: 17.10
Codename: artful

69 comments hidden view all 140 comments
Greg (denverc0der9) wrote :

I have the same issue as well, and the same result as LuisC when I run `gnome-shell -r`. I also have a touch screen, and interestingly, the windows still accept input from the touchscreen even when the mouse point does not work.

affects: gnome-shell (Ubuntu) → mutter (Ubuntu)
Changed in gnome-shell (Ubuntu):
status: New → Confirmed
importance: Undecided → High
70 comments hidden view all 140 comments

No longer experience this on Arch with GNOME 3.28, however it appears as though users on downstream Ubuntu still do.

tags: added: bionic

The bug still exists for me, both on Ubuntu 18.04 and on Fedora 28 (I installed Fedora after thinking it was an Ubuntu bug before of realizing it was likely due to GNOME). Using GNOME 3.28.3 on Fedora, the behavior is exactly the same as in Ubuntu and the same workarounds from the Ubuntu bug tracker (https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1181666, e.g. restarting the gnome-shell etc.) can temporarily make the computer usable again, but it's not very reliable.

Also, there's no clear pattern of the bug occurring discernible. For me, it appeared with and without proprietary drivers and interestingly I've also seen it happen on an Ubuntu live distribution booted off of an USB device (also running GNOME). Maybe some undiagnosed hardware incompatibility?

I'm most likely gonna try for a few weeks without GNOME to see if there might be something else causing it. Considering how rare and the bug seems to be and that it has persisted over the years, guess you have to switch away from GNOME if you are one of the unfortunate rare cases.

I experienced this bug just yesterday on 18.04...

It happened immediately after I inadvertently touched the edge of my touch-screen while adjusting the angle of my laptop screen. (See my similar statement in Comment #9).

Usually, I carefully avoid using my touch screen, because that triggers this problem.

(Note I use Dash-to-Dock extension, in case that has anything to do with this bug? Is anyone else using Dash-to-Dock or Dash-to-Panel?)

I face the same issue with ArchLinux latest upgrade at this date.
I use my touchscreen, but in some cases it freezes suddenly.
This behavior appeared only with this latest upgrade. Gnome is 3.30.1.

I think i found a way to reproduce this behavior:

Cause application to display "Application is not responding" dialog. For example rhythmbox causes this if you try to tag files two times, when the first tagging has not finished.
Another way is to run a X-forwarded application on a congested network connection.

When the dialog is open, you can switch between applications but mouse clicks inside windows are ignored.

Tested on Ubuntu 18.04 / Gnome 3.28

tags: added: cosmic
Changed in gnome-shell:
importance: Critical → Unknown
status: Confirmed → Unknown
Changed in gnome-shell:
importance: Unknown → Critical
status: Unknown → Confirmed
Jason Bassett (jbassett-v) wrote :

I too am experiencing this issue when using:

Ubuntu 18.04.2 LTS
Gnome 3.28.2

Mouse moves but unable to click anything for a minute or two.

1 comments hidden view all 140 comments
Evgeniy Check (check300373) wrote :

Hello anybody. Yes a has same issue too - it happens because an of running application was hung up. System detect it and show pop - up message in the middle of screen about waiting or force closing hung application. More often it happens during debugging an application, when break point was raised and debugger waiting user action so system count this application as hang. Some times it happens so system detect hung application but some reason can't show popup message over hang application. It looks so like wrote on first post - blocking mouse input at any windows except application bar and gnome dashboard. In some application keyboard become locked too, for exaple in Eclipse. Usually i switch to each application and try to interact with it by keyboard typing. If i suspect application hang, i run or switch to gnome-terminal and use command top to detect process id of hang application. Then i found it i use
 sudo kill <app ID>
As is hang application was closed - normal mouse input will restored.

But main question conclude to how to change reaction of system on hanged application - turn off annoing modal dialog. This dialog so bore me a lot. Each time when break point occur during debug process, Unubtu pop up this modal dialog and lock all mouse input in other apps, include debugger too. I need to switch debugging app and press "Wait" in this popup message, some times it need to do more than once. Then I return to debugger continue work.

Some one know how to turn off ubuntu hang application detection?

Daniel van Vugt (vanvugt) wrote :

That is bug 1832426 so please discuss it there.

Sarkis Nanyan (spellanser) wrote :

Hello!

I've exactly the same problem.
Version: GNOME Shell 3.32.2

But I've found easy workaround solution, then it happens: I just press Super button, and toggle the windows view. After that, the freeze is gone.
But it happens more then twice per day for me, so it's kinda annoying.

tags: removed: cosmic raring
midopa (midopa) wrote :

I get this problem several times a day and it's become very frustrating.

Ubuntu 18.04.3
GNOME 3.28.2

Please let me know if any additional information can help triage the bug.

This happens to me several times a day and really disrupts my workflow. Please let me know what information I can add to help triage this bug.

Ubuntu 18.04.3
GNOME 3.28.2

Can anyone still reproduce this in 3.34?

(3.28 or 3.30 are not supported anymore.)

Daniel van Vugt (vanvugt) wrote :

The possible fix I mentioned in comment #68:

  https://gitlab.gnome.org/GNOME/mutter/merge_requests/189

is in Gnome 3.34 and Ubuntu 19.10 now.

However, since this bug became quiet long before that, it seems like something else fixed it already for most people(?)

tags: added: disco

Yes, the issue still happens with 3.34.
My work around is to trigger the following script through a keyboard shortcut.
gsettings set org.gnome.desktop.peripherals.touchpad send-events disabled
sleep 1
gsettings set org.gnome.desktop.peripherals.touchpad send-events enabled
gsettings set org.gnome.desktop.peripherals.touchpad tap-to-click false
sleep 1
gsettings set org.gnome.desktop.peripherals.touchpad tap-to-click true

Download full text (3.8 KiB)

I can confirm that I am still having this issue on 3.34 as well (Manjaro).

This is shocking to me that anyone using Gnome to develop doesn't encounter this bug at minimum of 5x per day. Or are Gnome developers using MacOS and MBPs to develop like those in the lol "Linux" Foundation.

+Scott

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Sunday, October 13, 2019 7:42 AM, kohey <email address hidden> wrote:

> Yes, the issue still happens with 3.34.
> My work around is to trigger the following script through a keyboard shortcut.
> gsettings set org.gnome.desktop.peripherals.touchpad send-events disabled
> sleep 1
> gsettings set org.gnome.desktop.peripherals.touchpad send-events enabled
> gsettings set org.gnome.desktop.peripherals.touchpad tap-to-click false
> sleep 1
> gsettings set org.gnome.desktop.peripherals.touchpad tap-to-click true
>
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1181666
>
> Title:
> gnome-shell randomly blocks mouse clicks from working in app windows
>
> Status in GNOME Shell:
> Confirmed
> Status in Ubuntu GNOME:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> Confirmed
> Status in mutter package in Ubuntu:
> Confirmed
>
> Bug description:
> Under GNOME 3, the use of the mouse-click stops occasionally, though I
> can still move the mouse around and can still click on items in the
> Activities screen and the top-bar.
>
> I can use alt-tab to cycle windows and can still type into already-
> active textboxes in windows, but I cannot click within the windows,
> and the mouse is not picked up at all by the windows.
>
> I can open the alt-f2 "run command" dialogue, but cannot type into it.
>
> The workaround I'm using is to open terminal (ctrl-alt-T) and run
> "gnome-shell -r", and restarting that command every time I have the
> problem again.
>
> Please ask if there's anything I forgot to mention.
>
> ADDITIONAL: The error tends to happen randomly, but it seems to happen
> upon opening a new window, changing windows, closing windows, or
> opening the activities pane (whether a change of window is thus
> instigated or not)
>
> ADDITIONAL 2: (sorry, it's early) The other workaround is to log out
> and to log in again, but that is also less than ideal
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: gnome-shell 3.6.3.1-0ubuntu6
> ProcVersionSignature: Ubuntu 3.8.0-22.33-generic 3.8.11
> Uname: Linux 3.8.0-22-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: amd64
> Date: Sun May 19 07:02:18 2013
> DisplayManager: gdm
> GsettingsChanges:
>  b'org.gnome.desktop.interface' b'clock-show-date' b'true'
>  b'org.gnome.desktop.interface' b'clock-show-seconds' b'true'
>  b'org.gnome.desktop.interface' b'documen...

Read more...

thebravoman (thebravoman) wrote :

One more person, me, confirming the existing of this and how counter productive it is.

My daily work with Gnome involves clicking 7-8 times for every time I want to click on something. I've done my clicks for more than two lifetimes.

Daniel van Vugt (vanvugt) wrote :

Please mention which version of Ubuntu/Gnome Shell you have the problem with.

Everyone please also ensure you have tried uninstalling (not just disabling) all non-Ubuntu extensions. Since so many bugs are caused by extensions we need to exclude those as a first step.

thebravoman (thebravoman) wrote :

Yes. Versions

GNOME Shell 3.32.2

Distributor ID: Ubuntu
Description: Ubuntu 19.04
Release: 19.04
Codename: disco

Only extension in tweaks is Alt-Tab Switcher Popup Delay Removal
I have tried to turn it off, but this does not help.

Bruce Pieterse (octoquad) wrote :

To expand on what Daniel said:

1. Start with one extension and remove it from Gnome Tweak Tools or the GNOME Shell Extensions web site: https://extensions.gnome.org/local/
2. Restart GNOME Shell with ALT+F2, type in r then hit enter
3. If don't experience this bug for a few hours or days (days would be preferred) let us know in this bug report and which extension you completely removed. Perhaps we can narrow down on the problematic extension this way, if it is actually an extension.
4. If you still hit this bug a few minutes or hours later, logout from your session completely and try use the desktop for a few days. If you still have this problem try the next extension and repeat 1-3.

If you have no more extensions installed and the error occurs, please consider filing a new bug report as soon as possible with ubuntu-bug gnome-shell and link the new bug report as a comment in this bug report.

I hope the steps above are useful.

Thanks

Daniel van Vugt (vanvugt) wrote :

thebravoman,

Please be sure to uninstall that extension. Just turning extensions off is not enough to prevent them from interfering with the shell :(

George Yakovlev (georgeyak) wrote :

Release: Ubuntu 19.10
Kernel: 5.0.0-31-generic
GNOME: 3.34.1

Freshly installed, so no extensions.

The problem happens *only* on Logitech M185 mouse. Did not observe it with other mice. When bug happens touchpad on Dell XPS 13 (2019) stops working in the same fashion
Left mouse button gets stuck in the "clicked" state. Everything else, including scroll and right button works.
The only remedies are reboot or Ctrl+Alt+F7, followed by switching back. Happens every hour or so, so it is extremely annoying.

Arnaud D (class101) wrote :

Hello, sent there by some reference of 'pushModal: invocation of begin_modal failed', this seems the best ticket to share infos.

Here I can reproduce the issue on Arch Linux and 2 different desktop display, gnome nautilus with gnome files and also on cinnamon with nemo

On cinnamon and nemo, I'm creating a *.desktop file with a missing icon file on disk specified in Icon=

Steps to reproduce:
*) download poc.desktop to your ~/
*) desktop-file-install --dir=~/.local/share/applications/ poc.desktop
*) update-desktop-database -v ~/.local/share/applications/
*) reboot

Without a icon named IDoNotExists.xpm/png installed, I get the window focus problem, repeating the procedure with the icon present fixes immediately the problem

Arnaud D (class101) wrote :

desktop file with missing icon on disk

Arnaud D (class101) wrote :

Oh no the bug happens again with the desktop icons properly set, so it is not the root cause, pfff

I'm setting up at work and home the same Linux setup, at home this is the focus bug fest, at work the bug never happened a single time ! Every click success and I do not have the problems I have at home

The only difference I have from home and work in my setups are

- At work I'm under a proxy, at home direct
- At work the display are 1 graphic card intel and using Mesa if I remember, while at home i'm on nvidia latest drivers and 2 graphic cards
- At work I'm on two displays, at home a gsync single display
- I don't much extensions than what is installed by default on pacman -S gnome gdm cinnamon nemo

I suspect this bug to be driver related, maybe driver and icon rendering problem, but understand that fixing bugs without any relevant log is like searching for a needle in a haystack :/

If I could help feel free to ask cause I believe I could find the root cause with 2 similar setup on 2 different hardware acting differently !

Arnaud D (class101) wrote :

After days of fresh reinstallations and tests, I finally found what was causing this on my end and finally solved it by using a xorg configuration override 10-evdev.conf as shown on [1]

Offender: Gaming mouse driver (Saitek Cyborg R.A.T.9 Wireless Mouse)
Driver: libinput

After a bit of research, I found that this mouse is known to be malfunctioning with the default settings on Xorg. Despite working at a first look, the default configuration is causing the below symptoms as explained by [2]

After being plugged, the mouse will seems to work, but you may experience different issues :
* You cannot move windows around when grabbing the window's title bar. (happens with Openbox and other Window manager)
* You cannot click on buttons.
* You cannot get the focus on windows.
* You cannot open menus, even with keyboard shortcuts.
* Display does not refresh (using Xcompmgr)
* Closing certain windows restores functionality until the mouse locks into a new window.

[1] https://github.com/rkruk/R.A.T.-Cyborg-Mouse-on-Linux [working solution for R.A.T.9 model]
[2] https://wiki.archlinux.org/index.php/Mad_Catz_Mouse

I hope this helps somes outta there

I reproduce on 3.34, on Ubuntu 19.10. To me it happens once a week or so, and I have to log out and log in again for clicks to work.

I can reproduce on 3.34.3 on Debian unstable and is worse than previous gnome-shell version. Happens several times a day and usually going to overview (via keyboard) helps so that mouse buttons start working again. Happens on two computers (desktop and notebook) with similar set of gnome-shell plugins and focus follows mouse with sloppy focus on both.
There is no trace of the problem in session log so have no clue about the origin of the problem.

I'm using 3.34.1 in Ubuntu 19.10, and I don't experience this issue anymore.

tags: removed: disco
SimonWerner (simonwerner) wrote :

I got this problem today and I get it maybe once or twice a month. I'm running Ubuntu 19.10 with Gnome 3.34.2. Today the problem was occurring with my laptop trackpad. It corrected itself when I turned on my wireless Logitech mouse. I keep my GNOME extensions pretty minimal, I only have GNOME Tweaks and Launch New Instance.

Displaying first 40 and last 40 comments. View all 140 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.